GNU bug report logs - #16500
24.3.50; Wrong font-lock backquote highlighting in plan9 rc variant of sh-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Mikhail Gusarov <dottedmag@HIDDEN>; Keywords: moreinfo; dated Sun, 19 Jan 2014 18:49:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16500 <at> debbugs.gnu.org:


Received: (at 16500) by debbugs.gnu.org; 3 Sep 2022 10:02:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 06:02:27 2022
Received: from localhost ([127.0.0.1]:40996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUPys-0003ZK-TL
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 06:02:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oUPyq-0003Z1-UO
 for 16500 <at> debbugs.gnu.org; Sat, 03 Sep 2022 06:02:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=t0BHctO26+jnXjFeyecupXgy/zfJ4AKUYQa36DY6OMM=; b=c1D5YmQEjv7CMxkMs3Ha3RBFGx
 Q469o5lZfVUKhPoVdA18XyVcFjJsHHTK7bvFF6S+C/pVuHL7p8azVSUQd4xx+1uwQnzGwG64hM/+N
 wyHJcPNlGaXy1xzMUvLSCcuqdsYsNt9DjO8ZfGyybrctJzuFhvhgydXT+E4OfMYx2pIk=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oUPyi-0006KQ-0l; Sat, 03 Sep 2022 12:02:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Vasilij Schneidermann <mail@HIDDEN>
Subject: Re: bug#16500: 24.3.50; Wrong font-lock backquote highlighting in
 plan9 rc
In-Reply-To: <YxMOtSbqMah1bwqq@odonien> (Vasilij Schneidermann's message of
 "Sat, 3 Sep 2022 10:22:13 +0200")
References: <m2mwit4p8l.fsf@HIDDEN> <YxMOtSbqMah1bwqq@odonien>
X-Now-Playing: The Cure's _Three Imaginary Boys (1)_: "Foxy Lady"
Date: Sat, 03 Sep 2022 12:02:15 +0200
Message-ID: <871qssixnc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Vasilij Schneidermann <mail@HIDDEN> writes: > I've run
 into this bug while switching all my sh/bash scripts to rc and > used the
 following workaround: > > (defun my-sh-set-shell-hook () > (when (member
 sh-shell '(rc es)) > (modify-syntax-entry [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16500
Cc: Mikhail Gusarov <dottedmag@HIDDEN>, 16500 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Vasilij Schneidermann <mail@HIDDEN> writes:

> I've run into this bug while switching all my sh/bash scripts to rc and
> used the following workaround:
>
>     (defun my-sh-set-shell-hook ()
>       (when (member sh-shell '(rc es))
>         (modify-syntax-entry ?` ".")))
>
>     (add-hook 'sh-set-shell-hook 'my-sh-set-shell-hook)
>
> I doubt this warrants inclusion into sh-script.el as is, but should
> demonstrate a possible approach how to fix it.

But we want the {...} to be fontified as a quoted-exec, so I think the
correct fix here is to make { } be a pair after ` in the rc version?

That is, tweak this:

(defun sh-font-lock-syntactic-face-function (state)
  (let ((q (nth 3 state)))
    (if q
        (if (characterp q)
            (if (eq q ?\`) 'sh-quoted-exec font-lock-string-face)
          'sh-heredoc)
      font-lock-comment-face)))

Possibly...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16500; Package emacs. Full text available.

Message received at 16500 <at> debbugs.gnu.org:


Received: (at 16500) by debbugs.gnu.org; 3 Sep 2022 08:22:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 04:22:25 2022
Received: from localhost ([127.0.0.1]:40942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUOQ5-0000xR-Hx
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 04:22:25 -0400
Received: from mout-p-202.mailbox.org ([80.241.56.172]:43052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1oUOQ3-0000xD-FH
 for 16500 <at> debbugs.gnu.org; Sat, 03 Sep 2022 04:22:23 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [10.196.197.2])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4MKSSR13nsz9sX1;
 Sat,  3 Sep 2022 10:22:15 +0200 (CEST)
Date: Sat, 3 Sep 2022 10:22:13 +0200
From: Vasilij Schneidermann <mail@HIDDEN>
To: 16500 <at> debbugs.gnu.org
Subject: Re: 24.3.50; Wrong font-lock backquote highlighting in plan9 rc
Message-ID: <YxMOtSbqMah1bwqq@odonien>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="1Ml19BkdIuVqqHk5"
Content-Disposition: inline
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16500
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Mikhail Gusarov <dottedmag@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--1Ml19BkdIuVqqHk5
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

I've run into this bug while switching all my sh/bash scripts to rc and
used the following workaround:

    (defun my-sh-set-shell-hook ()
      (when (member sh-shell '(rc es))
        (modify-syntax-entry ?` ".")))
   =20
    (add-hook 'sh-set-shell-hook 'my-sh-set-shell-hook)

I doubt this warrants inclusion into sh-script.el as is, but should
demonstrate a possible approach how to fix it.

--1Ml19BkdIuVqqHk5
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAABCAAdFiEE0dAcySl3bqM8O17WFmfJg6zCifoFAmMTDrIACgkQFmfJg6zC
ifq2Cwf/cuAqKRVviwk32x9AKt98W1AC5r1/N6FDPEtPNFdo4MI8FP7HB4zPGvS4
XvGygXHnqF0Ejzq4u7zqM4HVdryaZivArTTDanNQlKqJl84MltKTbFMlGENHFpXv
Drv/wFxLTy2IgNuj9QiBVLNqaMisf7PMgz80SwmIW3/DC3JV7GvV0kxRxXxYHwof
OAig+0qwiYDW7S8a3JHDNHgUaxbElLcG+JuwcDjCFPqXQkmZBUMb74IX6XqukjfD
WXJdXdPX4s+mv1Mdh3DgPHRRj89OWkOfMBef2hgwR59Ik48VFAsRy3YUC0wYi2UQ
2fN4THmNrRTT/KSNu2TxpF7inGqDzQ==
=SpRO
-----END PGP SIGNATURE-----

--1Ml19BkdIuVqqHk5--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16500; Package emacs. Full text available.

Message received at 16500 <at> debbugs.gnu.org:


Received: (at 16500) by debbugs.gnu.org; 30 Oct 2019 13:55:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 30 09:55:25 2019
Received: from localhost ([127.0.0.1]:50794 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iPoRY-000479-NY
	for submit <at> debbugs.gnu.org; Wed, 30 Oct 2019 09:55:24 -0400
Received: from quimby.gnus.org ([80.91.231.51]:56716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iPoRX-00044u-CH
 for 16500 <at> debbugs.gnu.org; Wed, 30 Oct 2019 09:55:24 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iPoRS-00071L-Ry; Wed, 30 Oct 2019 14:55:21 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mikhail Gusarov <dottedmag@HIDDEN>
Subject: Re: 24.3.50; Wrong font-lock backquote highlighting in plan9 rc
 variant of sh-mode
References: <m2mwit4p8l.fsf@HIDDEN>
Date: Wed, 30 Oct 2019 14:55:18 +0100
In-Reply-To: <m2mwit4p8l.fsf@HIDDEN> (Mikhail Gusarov's message
 of "Sat, 18 Jan 2014 10:24:10 +0100")
Message-ID: <87a79iuym1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Mikhail Gusarov <dottedmag@HIDDEN> writes: >
 sh-quoted-exec
 face recognized by rc variant of sh-mode is not > terminated at the end of
 quoted expression. To reproduce this bug, > enable the font lock and open
 the following file in Emacs > (alt [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16500
Cc: 16500 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mikhail Gusarov <dottedmag@HIDDEN> writes:

> sh-quoted-exec face recognized by rc variant of sh-mode is not
> terminated at the end of quoted expression. To reproduce this bug,
> enable the font lock and open the following file in Emacs
> (alternatively remove {} around foo):
> ----------------------------------------------------------------------
> #!rc
>
> `{foo}   bar
> baz
> ----------------------------------------------------------------------
>
> Check with e.g. what-cursor-position that sh-quoted-exec face is
> continuing until the end of file, or up to a next ` symbol.
>
> sh-quoted-exec face should apply only to the closing } symbol, or,
> if the word quoted is not bracketed, to the end of word.

The problem here seems to be that ` is defined in the syntax table to be
a quote character, so `parse-partial-sexp` will skip to the end of the
buffer (or the next ` character) in
font-lock-fontify-syntactically-region.

I'm trying to familiarise myself with how font locking is supposed to
work -- anybody know what I should be poking into to get this to work
better?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16500; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jan 2014 18:48:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 13:48:28 2014
Received: from localhost ([127.0.0.1]:57308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W4xQ2-0003HR-F5
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2014 13:48:28 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40808)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dottedmag@HIDDEN>) id 1W4oXD-0002ar-MN
 for submit <at> debbugs.gnu.org; Sun, 19 Jan 2014 04:19:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dottedmag@HIDDEN>) id 1W4oX7-0001mW-Ta
 for submit <at> debbugs.gnu.org; Sun, 19 Jan 2014 04:19:15 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.9 required=5.0 tests=BAYES_50,DATE_IN_PAST_12_24,
 NO_DNS_FOR_FROM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44388)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dottedmag@HIDDEN>) id 1W4oX7-0001mS-Q5
 for submit <at> debbugs.gnu.org; Sun, 19 Jan 2014 04:19:09 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42529)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dottedmag@HIDDEN>) id 1W4oX2-0007Sd-Ql
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jan 2014 04:19:09 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dottedmag@HIDDEN>) id 1W4oWx-0001lk-Ul
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jan 2014 04:19:04 -0500
Received: from cm-84.215.233.26.getinternet.no ([84.215.233.26]:52934
 helo=newton.dottedmag.net) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dottedmag@HIDDEN>) id 1W4oWx-0001lb-FV
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jan 2014 04:18:59 -0500
Received: by newton.dottedmag.net (Postfix, from userid 501)
 id DAF0880B1EF; Sat, 18 Jan 2014 10:24:10 +0100 (CET)
From: Mikhail Gusarov <dottedmag@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50;
 Wrong font-lock backquote highlighting in plan9 rc variant of sh-mode
Date: Sat, 18 Jan 2014 10:24:10 +0100
Message-ID: <m2mwit4p8l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: iOS iPhone or iPad
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 19 Jan 2014 13:48:24 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)


sh-quoted-exec face recognized by rc variant of sh-mode is not
terminated at the end of quoted expression. To reproduce this bug,
enable the font lock and open the following file in Emacs
(alternatively remove {} around foo):
----------------------------------------------------------------------
#!rc

`{foo}   bar
baz
----------------------------------------------------------------------

Check with e.g. what-cursor-position that sh-quoted-exec face is
continuing until the end of file, or up to a next ` symbol.

sh-quoted-exec face should apply only to the closing } symbol, or,
if the word quoted is not bracketed, to the end of word.



In GNU Emacs 24.3.50.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
 of 2013-11-29 on bob.porkrind.org
Bzr revision: eliz@HIDDEN
Windowing system distributor `Apple', version 10.3.1265
Configured using:
 `configure --host=x86_64-apple-darwin --build=i686-apple-darwin
 --with-ns'

Important settings:
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: IBuffer

Minor modes in effect:
  global-whitespace-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  which-function-mode: t
  global-auto-revert-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<C-home> <down> C-s a b a n d o n e d C-a M-< C-s m 
o z - c o l u m n C-a C-x C-s C-r s <backspace> f o 
n t C-r C-a C-p C-p C-x k <return> C-x k <return> C-x 
k <return> C-x k <return> C-x k <return> C-x k <return> 
C-x k <return> C-x k <return> C-x k C-g g C-x k C-g 
C-n d d C-p x y C-x k <return> C-x k <return> C-x k 
<return> C-x k <return> C-x C-f C-f t m <tab> p a c 
<tab> <tab> <return> M-q g r e p - f i n d <return> 
S S H <return> C-. C-n C-n C-s A g e C-a C-s P a s 
s w o r d C-s C-s C-b <return> C-a C-x 1 <next> <next> 
<next> <C-end> <C-home> <C-end> C-x k <return> g C-x 
k <return> C-x C-f C-f C-g C-x k <return> C-x k <return> 
C-x k <return> C-x k <return> C-M-s g C-n C-n C-p C-p 
C-n C-n C-p C-p C-n d x y C-x b SPC SPC C-f C-g C-x 
b <tab> <tab> C-g C-x C-f C-f C-e <M-backspace> <M-backspace> 
w / i <return> g C-_ C-x k <return> C-x C-f C-f <M-backspace> 
<M-backspace> w <return> M-q x <return> g C-s i C-b 
C-n C-n C-n C-n C-n C-n C-n <return> g C-s t e s t 
C-b <return> <return> <return> <C-end> C-r i n s t 
a l l C-a C-p C-p C-p C-p C-r p k g s e l C-a C-g C-x 
k <return> g C-x k <return> C-x k <return> C-x k <return> 
C-x k <return> g M-q r e p r <backspace> o r t SPC 
e m a c s SPC b u g <return>

Recent messages:
Omitting...
(Nothing to omit)
Omitting...
Omitted 2 lines.
Mark set
Mark saved where search started [2 times]
Quit
Omitting...
Omitted 2 lines.
Updating buffer list...done

Load-path shadows:
/Users/dottedmag/.emacs.d/el-get/org-mode/.dir-locals hides /Users/dottedmag/.emacs.d/el-get/flycheck/.dir-locals
/Users/dottedmag/.emacs.d/el-get/org-mode/.dir-locals hides /Users/dottedmag/.emacs.d/el-get/el-get/.dir-locals
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ox hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ox-texinfo hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-texinfo
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ox-publish hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-publish
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ox-org hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-org
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ox-odt hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-odt
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ox-md hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-md
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ox-man hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-man
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ox-latex hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-latex
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ox-icalendar hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-icalendar
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ox-html hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-html
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ox-beamer hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-beamer
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ox-ascii hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-ascii
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org hides /Applications/Emacs.app/Contents/Resources/lisp/org/org
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-w3m hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-w3m
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-version hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-version
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-timer hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-timer
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-table hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-table
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-src hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-src
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-rmail hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-rmail
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-protocol hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-protocol
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-plot hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-plot
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-pcomplete hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-pcomplete
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-mouse hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-mouse
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-mobile hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-mobile
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-mhe hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-mhe
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-macs hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-macs
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-macro hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-macro
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-loaddefs hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-loaddefs
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-list hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-list
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-irc hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-irc
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-install hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-install
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-inlinetask hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-inlinetask
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-info hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-info
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-indent hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-indent
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-id hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-id
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-habit hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-habit
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-gnus hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-gnus
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-footnote hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-footnote
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-feed hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-feed
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-faces hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-faces
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-eshell hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-eshell
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-entities hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-entities
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-element hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-element
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-docview hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-docview
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-datetree hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-datetree
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-ctags hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-ctags
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-crypt hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-crypt
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-compat hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-compat
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-colview hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-colview
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-clock hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-clock
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-capture hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-capture
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-bibtex hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-bibtex
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-bbdb hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-bbdb
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-attach hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-attach
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-archive hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-archive
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/org-agenda hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-agenda
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-tangle hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-tangle
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-table hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-table
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-sqlite hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-sqlite
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-sql hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-sql
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-shen hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-shen
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-sh hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-sh
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-screen hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-screen
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-scheme hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-scheme
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-scala hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-scala
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-sass hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-sass
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-ruby hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ruby
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-ref hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ref
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-R hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-R
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-python hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-python
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-plantuml hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-plantuml
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-picolisp hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-picolisp
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-perl hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-perl
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-org hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-org
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-octave hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-octave
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-ocaml hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ocaml
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-mscgen hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-mscgen
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-maxima hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-maxima
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-matlab hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-matlab
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-makefile hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-makefile
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-lob hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-lob
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-lisp hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-lisp
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-lilypond hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-lilypond
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-ledger hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ledger
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-latex hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-latex
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-keys hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-keys
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-js hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-js
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-java hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-java
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-io hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-io
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-haskell hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-haskell
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-gnuplot hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-gnuplot
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-fortran hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-fortran
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-exp hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-exp
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-eval hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-eval
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-emacs-lisp hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-emacs-lisp
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-dot hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-dot
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-ditaa hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ditaa
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-css hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-css
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-core hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-core
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-comint hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-comint
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-clojure hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-clojure
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-calc hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-calc
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-C hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-C
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-awk hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-awk
/Users/dottedmag/.emacs.d/el-get/org-mode/lisp/ob-asymptote hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-asymptote
/Users/dottedmag/.emacs.d/el-get/org-mode/.dir-locals hides /Applications/Emacs.app/Contents/Resources/lisp/gnus/.dir-locals

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mail-utils ispell disp-table
whitespace thai-util thai-word lao-util view mule-util vc-arch vc-hg
vc-bzr vc-sccs vc-svn vc-rcs debug cus-start cus-load ibuf-ext ibuffer
grep sgml-mode diff-mode log-edit pcvs-util vc vc-dispatcher novice
tabify nroff-mode cc-langs tex-mode latexenc make-mode perl-mode
tramp-cache haskell-font-lock haskell-doc inf-haskell haskell-cabal
haskell-utils haskell-decl-scan haskell-indentation haskell-mode
haskell-string haskell-sort-imports haskell-align-imports flymake
compile dabbrev sh-script executable epa-file epa epg epg-config
org-element org-indent org-rmail org-mhe org-irc org-info org-gnus
org-docview doc-view jka-compr image-mode org-bibtex bibtex org-bbdb
org-w3m js json thingatpt css-mode smie xterm misearch multi-isearch
add-log vc-git dired-aux vc-mcvs vc-cvs rng-nxml rng-valid rng-loc
rng-uri rng-parse nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns
nxml-mode nxml-outln nxml-rap nxml-util nxml-glyph nxml-enc xmltok avoid
woman man tramp tramp-compat auth-source eieio eieio-core gnus-util
mm-util mail-prsvr password-cache tramp-loaddefs trampver shell python
rx which-func imenu cperl-mode org-mobile org-agenda org byte-opt advice
org-macro org-footnote org-pcomplete pcomplete org-list org-faces
org-entities noutline outline easy-mmode org-version ob-emacs-lisp ob
ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint comint
ansi-color ring ob-core ob-eval org-compat org-macs org-loaddefs
format-spec find-func cal-menu calendar cal-loaddefs org-install ido
paren server haskell-mode-autoloads s .loaddefs el-get cl-macs gv
el-get-autoloads el-get-list-packages el-get-notify help-mode
el-get-dependencies el-get-build el-get-status pp el-get-recipes
el-get-byte-compile el-get-methods el-get-fossil el-get-svn
el-get-pacman el-get-github-zip el-get-github-tar el-get-http-zip
el-get-http-tar el-get-hg el-get-git-svn el-get-fink el-get-emacswiki
el-get-http el-get-emacsmirror el-get-github el-get-git el-get-elpa
package el-get-darcs el-get-cvs el-get-bzr el-get-brew el-get-builtin
el-get-apt-get el-get-custom el-get-core autoload help-fns lisp-mnt
bytecomp byte-compile cconv cl autorevert filenotify edmacro kmacro
cl-loaddefs cl-lib edje-mode derived dired-x dired cfengine-code-style
cc-mode cc-fonts easymenu cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel ns-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process cocoa ns
multi-tty emacs)




Acknowledgement sent to Mikhail Gusarov <dottedmag@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16500; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 3 Sep 2022 10:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.